Subject: Re: [msysGit] Re: [PATCH bc/connect-plink] t5601-clone: remove broken and pointless check for plink.exe

From: Johannes Sixt <[email-masked]>
Date: Wed, 12 Aug 2015 20:31:44 +0200

Am 12.08.2015 um 13:58 schrieb Erik Faye-Lund:
> On Wed, Aug 12, 2015 at 1:07 PM, Johannes Schindelin
> <[email-masked]> wrote:
>> FWIW Git for Windows has this patch (that I wanted to contribute
>> in  due time, what with being busy with all those tickets) to solve the
>> problem mentioned in your patch in a different way:
>>
>> https://github.com/git-for-windows/git/commit/2fff4b54a0d4e5c5e2e4638c9b0739d3c1ff1e45
>
> Yuck. On Windows, it's the extension of a file that dictates what kind
> of file it is (and if it's executable or not), not the contents. If we
> get a shell script written with the ".exe"-prefix, it's considered as
> an invalid executable by the system. We should consider it the same
> way, otherwise we're on the path to user-experience schizophrenia.
>
> I'm not sure I consider this commit a step in the right direction.

I, too, think that it is a wrong decision to pessimize git for the sake 
of a single test case.

-- Hannes